Control Plane Installation
Operations of the Control Plane API. Paths are relative to your deployment's API host.
GET /api/control-plane-api/control-plane/installation/orgs
List every organization in the realm.
Authentication: bearer token (Authorization: Bearer <token>)
| Status | Description | Body |
|---|---|---|
| 200 | application/json ResourceDtoDataArrayEnvelope |
POST /api/control-plane-api/control-plane/installation/orgs
Create an organization.
Authentication: bearer token (Authorization: Bearer <token>)
Request body: application/json ResourceSpecDto
| Status | Description | Body |
|---|---|---|
| 201 | application/json ResourceHandleDtoDataEnvelope |
GET /api/control-plane-api/control-plane/installation/orgs/{id}
Get an organization by id.
Authentication: bearer token (Authorization: Bearer <token>)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes |
| Status | Description | Body |
|---|---|---|
| 200 | application/json ResourceDtoDataEnvelope |
PUT /api/control-plane-api/control-plane/installation/orgs/{id}
Update an organization by id.
Authentication: bearer token (Authorization: Bearer <token>)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes |
Request body: application/json ResourceSpecDto
| Status | Description | Body |
|---|---|---|
| 200 | application/json ResourceDtoDataEnvelope |
DELETE /api/control-plane-api/control-plane/installation/orgs/{id}
Delete (retire) an organization by id.
Authentication: bearer token (Authorization: Bearer <token>)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes |
| Status | Description | Body |
|---|---|---|
| 204 |